Package org.eclipse.emf.compare

## Class ComparisonCanceledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.compare.ComparisonCanceledException

All Implemented Interfaces:
  `Serializable`

    public class ComparisonCanceledException
    extends RuntimeException

Exception used to manage cancellation of comparison operations.

Since:
  3.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ComparisonCanceledException()` Default constructor.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComparisonCanceledException

    public ComparisonCanceledException()

Default constructor.